Package: org.codehaus.groovy.tools.shell

## [Java] Class IO.Verbosity

- org.codehaus.groovy.tools.shell.IO.Verbosity

-     public static final class IO.Verbosity
      extends Object

  Verbosity for simple logging: QUIET, INFO, VERBOSE, DEBUG

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static IO.Verbosity` | `DEBUG` | Debug-level output.
    `static IO.Verbosity` | `INFO` | Normal informational output.
    `static IO.Verbosity` | `QUIET` | Minimal output.
    `static IO.Verbosity` | `VERBOSE` | Extra informational output.
    `String` | `name` | The symbolic name of this verbosity level.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static IO.Verbosity` | `forName(String name)` Resolves a verbosity level by name.
    `` | `public String` | `toString()` Returns the symbolic name of this verbosity level.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final IO.Verbosity DEBUG

      Debug-level output.

    - #### public static final IO.Verbosity INFO

      Normal informational output.

    - #### public static final IO.Verbosity QUIET

      Minimal output.

    - #### public static final IO.Verbosity VERBOSE

      Extra informational output.

    - #### public final String name

      The symbolic name of this verbosity level.

  - ### Method Detail

    - #### public static IO.Verbosity forName(String name)

      Resolves a verbosity level by name.

      throws:
        IllegalArgumentException if the name does not match a known level
      Parameters:
        `name` - the name to resolve
      Returns:
        the matching verbosity level

    - #### public String toString()

      Returns the symbolic name of this verbosity level.

      Returns:
        the verbosity name